export default {
  name: '散点图',
  type: 'scatter',
  data: [
    {
      name: '简单散点图',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {}
    },
    {
      name: '点阵图',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: [
          { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
          { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
          { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
          { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
          { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
          { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
        ]
      },
      settings: {
        symbol: 'rect'
      }
    },
    {
      name: '指标维度配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        dimension: '日期',
        metrics: ['年龄', '数量']
      }
    },
    {
      name: '数据类型配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        dataType: {
          '余额': 'KMB',
          '年龄': 'percent',
          '数量': 'normal'
        }
      }
    },
    {
      name: '样式配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        label: {
          emphasis: {
            show: true,
            position: 'top',
            formatter (param) {
              return param.data.value[0]
            }
          }
        },
        itemStyle: {
          normal: {
            opacity: 0.8,
            shadowBlur: 10,
            shadowOffsetX: 0,
            shadowOffsetY: 0
          }
        }
      }
    },
    {
      name: '属性名配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        legendName: {
          '上海': '上海1'
        },
        labelMap: {
          '余额': 'balance'
        }
      }
    },
    {
      name: '缩放配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 1230, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 1230, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 1230, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        scale: true,
        max: 10000
      }
    },
    {
      name: '坐标轴名配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        xAxisName: '日期',
        yAxisName: '余额'
      }
    },
    {
      name: '隐藏坐标轴',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        axisVisible: false
      }
    },
    {
      name: '散点样式配置',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        symbol: 'rect',
        symbolSizeMax: 30,
        symbolRotate: 45,
        symbolOffset: [10, 10]
      }
    },
    {
      name: '修改提示框触发方式',
      data: {
        columns: ['日期', '余额', '数量', '年龄'],
        rows: {
          '上海': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 7123, '年龄': 9, '数量': 3245 },
            { '日期': '1-4', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-5', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-6', '余额': 2323, '年龄': 20, '数量': 6537 }
          ],
          '北京': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1273, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 3123, '年龄': 15, '数量': 4564 },
            { '日期': '1-4', '余额': 2123, '年龄': 9, '数量': 3245 },
            { '日期': '1-5', '余额': 4103, '年龄': 12, '数量': 4355 },
            { '日期': '1-6', '余额': 7123, '年龄': 10, '数量': 3567 }
          ],
          '广州': [
            { '日期': '1-1', '余额': 123, '年龄': 3, '数量': 1244 },
            { '日期': '1-2', '余额': 1223, '年龄': 6, '数量': 2344 },
            { '日期': '1-3', '余额': 2123, '年龄': 30, '数量': 3245 },
            { '日期': '1-5', '余额': 4123, '年龄': 12, '数量': 4355 },
            { '日期': '1-4', '余额': 5123, '年龄': 18, '数量': 4564 },
            { '日期': '1-6', '余额': 3843, '年龄': 30, '数量': 4850 }
          ]
        }
      },
      settings: {
        tooltipTrigger: 'axis'
      }
    }
  ]
}
